Bug 77224 - [BDW]Piglit some spec_EXT_framebuffer_multisample* cases fail
Summary: [BDW]Piglit some spec_EXT_framebuffer_multisample* cases fail
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 07:15 UTC by lu hua
Modified: 2014-06-06 06:34 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-04-09 07:15:04 UTC
System Environment:
--------------------------
Platform: Broadwell
Libdrm:		(master)libdrm-2.4.52-10-g1cb5fc706cf5913d9dee33c939f65a23ecea17a5
Mesa:		(master)159cec9dec2320d821d388c0df8140c7705b6e0b
Xserver:	(master)xorg-server-1.15.99.901-204-g901fbfbbbd71c0d82080957f8ba09eebbc786f2b
Xf86_video_intel:(master)2.99.911-44-g3310ee89c1f1a663de5f5b12b8125809a213996f
Cairo:		(master)bb17403622e9ea474017e0039af8ee48b2b285db
Libva:		(staging)960352aaf1e11891a533ce2c98b16edde24d6851
Libva_intel_driver:(staging)150f67c67bd92cd201b75a92388fe3a63b00cd8a
Kernel:	(drm-intel-nightly) 7cd8b823493acc320c7db9112de9d4e21c6dbd11

Bug detailed description:
-----------------------------
Following cases fail on Broadwell with Mesa master branch, but work well on Haswell.
spec_EXT_framebuffer_multisample_accuracy_2_stencil_resolve
spec_EXT_framebuffer_multisample_accuracy_2_stencil_resolve_small
spec_EXT_framebuffer_multisample_accuracy_4_stencil_resolve
spec_EXT_framebuffer_multisample_accuracy_4_stencil_resolve_small
spec_EXT_framebuffer_multisample_accuracy_6_stencil_resolve
spec_EXT_framebuffer_multisample_accuracy_6_stencil_resolve_small
spec_EXT_framebuffer_multisample_accuracy_8_stencil_resolve
spec_EXT_framebuffer_multisample_accuracy_8_stencil_resolve_small
spec_EXT_framebuffer_multisample_blit_scaled_blit-scaled_samples=2
spec_EXT_framebuffer_multisample_blit_scaled_blit-scaled_samples=4
spec_EXT_framebuffer_multisample_blit_scaled_blit-scaled_samples=6
spec_EXT_framebuffer_multisample_blit_scaled_blit-scaled_samples=8
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_2_downsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_2_msaa
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_2_normal
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_2_upsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_4_downsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_4_msaa
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_4_normal
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_4_upsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_6_downsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_6_msaa
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_6_normal
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_6_upsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_8_downsample
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_8_msaa
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_8_normal
spec_EXT_framebuffer_multisample_clip-and-scissor-blit_8_upsample
spec_EXT_framebuffer_multisample_unaligned-blit_4_color_msaa
spec_EXT_framebuffer_multisample_unaligned-blit_6_color_msaa
spec_EXT_framebuffer_multisample_unaligned-blit_8_color_msaa


run ./bin/ext_framebuffer_multisample-accuracy 2 stencil_resolve -fbo -auto
output:
Pixels that should be unlit
  count = 126470
  Perfect output
Pixels that should be totally lit
  count = 131408
  RMS error = 0.708010
Pixels that should be partially lit
  count = 4266
  RMS error = 0.598696
The error threshold for this test is 0.400000
PIGLIT: {'result': 'fail' }

Reproduce steps:
----------------------------
1. xinit
2. ./bin/ext_framebuffer_multisample-accuracy 2 stencil_resolve -fbo -auto
Comment 1 Kenneth Graunke 2014-06-03 22:22:52 UTC
Most of these tests seem to be fixed.  Now that there's a small set of failures, let's just open new bugs for specific test cases that fail.
Comment 2 lu hua 2014-06-06 06:34:53 UTC
Verified.Fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.